%global momorel 5

Summary: The GNOME Shell redefines user interactions with the GNOME desktop
Name: gnome-shell
Version: 2.31.2
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPL
URL: http://live.gnome.org/GnomeShell
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.31/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: ja.po
Patch0: gnome-shell-2.29.0-ja.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: intltool

BuildRequires: gstreamer-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: dbus-glib-devel
BuildRequires: mutter-devel >= 2.31.2
BuildRequires: gjs-devel >= 0.7
BuildRequires: gnome-menus-devel
BuildRequires: GConf2-devel
BuildRequires: clutter-devel >= 1.2.0
BuildRequires: gnome-desktop-devel >= 2.29.0
BuildRequires: startup-notification-devel
BuildRequires: gobject-introspection-devel
BuildRequires: librsvg2-devel
BuildRequires: gobject-introspection-devel

Requires(pre):          GConf2
Requires(post):         GConf2
Requires(preun):        GConf2

Requires: mutter

%description
The GNOME Shell redefines user interactions with the GNOME desktop. In
particular, it offers new paradigms for launching applications,
accessing documents, and organizing open windows in GNOME. Later, it
will introduce a new applets eco-system and offer new solutions for
other desktop features, such as notifications and contacts
management. The GNOME Shell is intended to replace functions handled
by the GNOME Panel and by the window manager in previous versions of
GNOME. The GNOME Shell has rich visual effects enabled by new
graphical technologies.

%prep
%setup -q
%patch0 -p1 -b .ja
cp %{SOURCE1} po

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gnome-shell.schemas \
  > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-shell.schemas \
    > /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-shell.schemas \
    > /dev/null || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_sysconfdir}/gconf/schemas/gnome-shell.schemas
%{_bindir}/gnome-shell
%{_bindir}/gnome-shell-clock-preferences

%dir %{_libdir}/gnome-shell
%{_libdir}/gnome-shell/Shell-0.1.typelib
%{_libdir}/gnome-shell/St-1.0.typelib
%{_libdir}/gnome-shell/Gdm-1.0.typelib
%{_libdir}/mutter/plugins/libgnome-shell.la
%{_libdir}/mutter/plugins/libgnome-shell.so

%{_datadir}/applications/gnome-shell.desktop
%{_datadir}/applications/gnome-shell-clock-preferences.desktop
%{_datadir}/gnome-shell
%{_mandir}/man1/gnome-shell.1.*

%{_datadir}/locale/*/*/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.31.2-5m)
- full rebuild for mo7 release

* Sun Aug 22 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.31.2-4m)
- add Requires: mutter

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.31.2-3m)
- add Requires context (pre,post,preun)

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.31.2-2m)
- add Requires: GConf2

* Thu May 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.31.2-1m)
- update to 2.31.2

* Mon Apr 19 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.1-1m)
- update to 2.29.1
- delete patch1 merged

* Mon Mar 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.0-2m)
- add patch1 for clutter-1.2.0

* Fri Feb 26 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.29.0-1m)
- update for new mutter-2.29.0
-- temporally disable gnome-shell-2.27.1-ja.patch 

* Mon Feb 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-3m)
- rebuild against gnome-desktop-2.29.90

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Wed Sep 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.3-1m)
- update to 2.27.3

* Sun Sep  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.2-1m)
- update to 2.27.2

* Thu Sep  3 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.1-3m)
- add ja translate

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.1-2m)
- to main

* Sun Aug 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.1-1m)
- initial build
